|
|||||||||
| Home >> All >> [ HTTPClient overview ] | PREV NEXT | ||||||||
A
- AllowUI - Variable in class HTTPClient.HTTPConnection
- controls whether modules are allowed to interact with user
- AuthHandler - Static variable in class HTTPClient.AuthorizationInfo
- A pointer to the handler to be called when we need authorization info
- AuthSchemeNotImplException - exception HTTPClient.AuthSchemeNotImplException.
- Signals that the handling of a authorization scheme is not implemented.
- AuthSchemeNotImplException() - Constructor for class HTTPClient.AuthSchemeNotImplException
- Constructs an AuthSchemeNotImplException with no detail message.
- AuthSchemeNotImplException(String) - Constructor for class HTTPClient.AuthSchemeNotImplException
- Constructs an AuthSchemeNotImplException class with the specified detail message.
- AuthorizationHandler - interface HTTPClient.AuthorizationHandler.
- This is the interface that an Authorization handler must implement.
- AuthorizationInfo - class HTTPClient.AuthorizationInfo.
- Holds the information for an authorization response.
- AuthorizationInfo(String, int) - Constructor for class HTTPClient.AuthorizationInfo
- Creates an new info structure for the specified host and port.
- AuthorizationInfo(String, int, String, String, NVPair[], Object) - Constructor for class HTTPClient.AuthorizationInfo
- Creates a new info structure for the specified host and port with the specified scheme, realm, params.
- AuthorizationInfo(String, int, String, String, String) - Constructor for class HTTPClient.AuthorizationInfo
- Creates a new info structure for the specified host and port with the specified scheme, realm and cookie.
- AuthorizationInfo(AuthorizationInfo) - Constructor for class HTTPClient.AuthorizationInfo
- Creates a new copy of the given AuthorizationInfo.
- AuthorizationModule - class HTTPClient.AuthorizationModule.
- This module handles authentication requests.
- AuthorizationModule() - Constructor for class HTTPClient.AuthorizationModule
- Initialize counters for challenge and auth-info lists.
- abort() - Method in class HTTPClient.StreamDemultiplexor
- Emergency stop.
- aborted - Variable in class HTTPClient.HTTPResponse
- marks this response as aborted (stop() in HTTPConnection)
- aborted - Variable in class HTTPClient.Request
- was this request aborted by the user?
- accept - Variable in class HTTPClient.BasicCookieBox
- accept(Cookie, DefaultCookiePolicyHandler, String) - Method in class HTTPClient.BasicCookieBox
- the method called by the DefaultCookiePolicyHandler.
- acceptCookie(Cookie, RoRequest, RoResponse) - Method in interface HTTPClient.CookiePolicyHandler
- This method is called for each cookie that a server tries to set via the Set-Cookie header.
- acceptCookie(Cookie, RoRequest, RoResponse) - Method in class HTTPClient.DefaultCookiePolicyHandler
- returns whether this cookie should be accepted.
- accept_domain - Variable in class HTTPClient.BasicCookieBox
- accept_domains - Variable in class HTTPClient.DefaultCookiePolicyHandler
- a list of all hosts and domains from which to silently accept cookies
- action(Event, Object) - Method in class HTTPClient.BasicAuthBox
- our event handler
- action(Event, Object) - Method in class HTTPClient.BasicCookieBox
- our event handler
- actual_host - Variable in class HTTPClient.HTTPConnection.EstablishConnection
- actual_port - Variable in class HTTPClient.HTTPConnection.EstablishConnection
- add(Request) - Method in class HTTPClient.IdempotentSequence
- Add the request to the end of the list of requests.
- addAcceptDomain(String) - Method in class HTTPClient.DefaultCookiePolicyHandler
- addAuthorization(AuthorizationInfo) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry to the list using the default context.
- addAuthorization(AuthorizationInfo, Object) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry to the list.
- addAuthorization(String, int, String, String, String, NVPair[], Object) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry to the list using the default context.
- addAuthorization(String, int, String, String, String, NVPair[], Object, Object) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry to the list.
- addBasicAuthorization(String, int, String, String, String) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry for the "Basic" authorization scheme to the list using the default context.
- addBasicAuthorization(String, int, String, String, String, Object) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry for the "Basic" authorization scheme to the list.
- addBasicAuthorization(String, String, String) - Method in class HTTPClient.HTTPConnection
- Adds an authorization entry for the "basic" authorization scheme to the list.
- addCookie(Cookie) - Static method in class HTTPClient.CookieModule
- Add the specified cookie to the list of cookies in the default context.
- addCookie(Cookie, Object) - Static method in class HTTPClient.CookieModule
- Add the specified cookie to the list of cookies for the specified context.
- addCustomX509TrustManager() - Static method in class HTTPClient.HTTPConnection
- Method to add custom trust manager that mimics browser behavior to allow untrusted peers.
- addDefaultModule(Class, int) - Static method in class HTTPClient.HTTPConnection
- Adds a module to the default list.
- addDigestAuthorization(String, int, String, String, String) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry for the "Digest" authorization scheme to the list using the default context.
- addDigestAuthorization(String, int, String, String, String, Object) - Static method in class HTTPClient.AuthorizationInfo
- Adds an authorization entry for the "Digest" authorization scheme to the list.
- addDigestAuthorization(String, String, String) - Method in class HTTPClient.HTTPConnection
- Adds an authorization entry for the "digest" authorization scheme to the list.
- addModule(Class, int) - Method in class HTTPClient.HTTPConnection
- Adds a module to the current list.
- addPath(String) - Method in class HTTPClient.AuthorizationInfo
- Adds the path from the given resource to our path list.
- addRejectDomain(String) - Method in class HTTPClient.DefaultCookiePolicyHandler
- addToEnd(Object) - Method in class HTTPClient.LinkedList
- Add the specified element to the end of the list.
- addToHead(Object) - Method in class HTTPClient.LinkedList
- Add the specified element to the head of the list.
- addToListAfter(RetryException) - Method in class HTTPClient.RetryException
- Inserts this exception into the list.
- addToken(Request, String, String) - Method in class HTTPClient.RetryModule
- Add a token to the given header.
- alg - Variable in class HTTPClient.VerifyRspAuth
- alive - Variable in class HTTPClient.SocketTimeout.TimeoutEntry
- allowUI() - Method in class HTTPClient.Request
- allowUI() - Method in interface HTTPClient.RoRequest
- allow_ui - Variable in class HTTPClient.Request
- are modules allowed to popup windows or otherwise prompt user?
- alphanumChar - Static variable in class HTTPClient.URI
- analysis_done - Variable in class HTTPClient.IdempotentSequence
- trigger analysis of threads
- appendTo(StringBuffer) - Method in class HTTPClient.HttpHeaderElement
- Append this header element to the given buffer.
- asHex(byte[]) - Static method in class HTTPClient.MD5
- Turns array of bytes into string representing each byte as unsigned hex number.
- asHex() - Method in class HTTPClient.MD5
- Returns 32-character hex representation of this objects hash
- assembleHeader(Vector) - Static method in class HTTPClient.Util
- Assembles a Vector of HttpHeaderElements into a full header string.
- assembleHeaders(Request, ByteArrayOutputStream) - Method in class HTTPClient.HTTPConnection
- This writes out the headers on the hdr_buf.
- auth_from_4xx - Variable in class HTTPClient.AuthorizationModule
- is the info in auth_sent a preemtive guess or the result of a 4xx
- auth_lst_idx - Variable in class HTTPClient.AuthorizationModule
- counters for challenge and auth-info lists
- auth_params - Variable in class HTTPClient.AuthorizationInfo
- any parameters
- auth_scm_idx - Variable in class HTTPClient.AuthorizationModule
- counters for challenge and auth-info lists
- auth_sent - Variable in class HTTPClient.AuthorizationModule
- the last auth info sent, if any
- available() - Method in class HTTPClient.ChunkedInputStream
- available() - Method in class HTTPClient.ExtBufferedInputStream
- Returns the number of bytes that can be read from this input stream without blocking.
- available() - Method in class HTTPClient.RespInputStream
- gets the number of bytes available for reading without blocking.
- available(ResponseHandler) - Method in class HTTPClient.StreamDemultiplexor
- Determines the number of available bytes.
- available() - Method in class HTTPClient.UncompressInputStream
B
- BIND - Static variable in class HTTPClient.SocksClient
- socks commands
- Base64DecMap - Static variable in class HTTPClient.Codecs
- Base64EncMap - Static variable in class HTTPClient.Codecs
- BasicAuthBox - class HTTPClient.BasicAuthBox.
- This class implements a simple popup that request username and password used for the "basic" and "digest" authentication schemes.
- BasicAuthBox() - Constructor for class HTTPClient.BasicAuthBox
- Constructs the popup with three lines of text above the input fields
- BasicCookieBox - class HTTPClient.BasicCookieBox.
- A simple popup that asks whether the cookie should be accepted or rejected, or if cookies from whole domains should be silently accepted or rejected.
- BasicCookieBox() - Constructor for class HTTPClient.BasicCookieBox
- Constructs the popup.
- BoundChar - Static variable in class HTTPClient.Codecs
- Boundary - Static variable in class HTTPClient.Codecs
- base64Decode(String) - Static method in class HTTPClient.Codecs
- This method decodes the given string using the base64-encoding specified in RFC-2045 (Section 6.8).
- base64Decode(byte[]) - Static method in class HTTPClient.Codecs
- This method decodes the given byte[] using the base64-encoding specified in RFC-2045 (Section 6.8).
- base64Encode(String) - Static method in class HTTPClient.Codecs
- This method encodes the given string using the base64-encoding specified in RFC-2045 (Section 6.8).
- base64Encode(byte[]) - Static method in class HTTPClient.Codecs
- This method encodes the given byte[] using the base64-encoding specified in RFC-2045 (Section 6.8).
- bit_pos - Variable in class HTTPClient.UncompressInputStream
- bitmask - Variable in class HTTPClient.UncompressInputStream
- block_mode - Variable in class HTTPClient.UncompressInputStream
- bol - Variable in class HTTPClient.Response
- bos - Variable in class HTTPClient.HttpOutputStream
- the buffer to be used if needed
- buf - Variable in class HTTPClient.ExtBufferedInputStream
- The buffer where data is stored.
- buf - Variable in class HTTPClient.Response
- buf_pos - Variable in class HTTPClient.Response
- buffer - Variable in class HTTPClient.MD5.MD5State
- 64-byte buffer (512 bits) for storing to-be-hashed characters
- buffer - Variable in class HTTPClient.RespInputStream
- this buffer is used to buffer data that the demux has to get rid of
C
- CANCEL - Static variable in class HTTPClient.BasicAuthBox
- CD_0 - Static variable in interface HTTPClient.GlobalConstants
- CD_CHUNKED - Static variable in interface HTTPClient.GlobalConstants
- CD_CLOSE - Static variable in interface HTTPClient.GlobalConstants
- CD_CONTLEN - Static variable in interface HTTPClient.GlobalConstants
- CD_HDRS - Static variable in interface HTTPClient.GlobalConstants
- CD_MP_BR - Static variable in interface HTTPClient.GlobalConstants
- CD_NONE - Static variable in interface HTTPClient.GlobalConstants
- Content delimiters
- CHUNK_SIZE - Variable in class HTTPClient.HTTPConnection.MSLargeWritesBugStream
- CIHashtable - class HTTPClient.CIHashtable.
- This class implements a Hashtable with case-insensitive Strings as keys.
- CIHashtable(int, float) - Constructor for class HTTPClient.CIHashtable
- Create a new CIHashtable with the specified initial capacity and the specified load factor.
- CIHashtable(int) - Constructor for class HTTPClient.CIHashtable
- Create a new CIHashtable with the specified initial capacity.
- CIHashtable() - Constructor for class HTTPClient.CIHashtable
- Create a new CIHashtable with a default initial capacity.
- CIHashtableEnumeration - class HTTPClient.CIHashtableEnumeration.
- A simple enumerator which delegates everything to the real enumerator.
- CIHashtableEnumeration(Enumeration) - Constructor for class HTTPClient.CIHashtableEnumeration
- CIString - class HTTPClient.CIString.
- This class' raison d'etre is that I want to use a Hashtable using Strings as keys and I want the lookup be case insensitive, but I also want to be able retrieve the keys with original case (otherwise I could just use toLowerCase() in the get() and put()).
- CIString(String) - Constructor for class HTTPClient.CIString
- the constructor
- CONNECT - Static variable in class HTTPClient.SocksClient
- socks commands
- ChunkedInputStream - class HTTPClient.ChunkedInputStream.
- This class de-chunks an input stream.
- ChunkedInputStream(InputStream) - Constructor for class HTTPClient.ChunkedInputStream
- CntxtList - Static variable in class HTTPClient.AuthorizationInfo
- Holds the list of lists of authorization info structures
- Codecs - class HTTPClient.Codecs.
- This class collects various encoders and decoders.
- Codecs() - Constructor for class HTTPClient.Codecs
- This class isn't meant to be instantiated.
- Connection - Variable in class HTTPClient.StreamDemultiplexor
- the connection we're working for
- ContDisp - Static variable in class HTTPClient.Codecs
- ContentEncodingModule - class HTTPClient.ContentEncodingModule.
- This module handles the Content-Encoding response header.
- ContentEncodingModule() - Constructor for class HTTPClient.ContentEncodingModule
- ContentLength - Variable in class HTTPClient.HTTPResponse
- the ContentLength of the data.
- ContentLength - Variable in class HTTPClient.Response
- the message length of the response if either there is no data (in which case ContentLength=0) or if the message length is controlled by a Content-Length header.
- ContentMD5Module - class HTTPClient.ContentMD5Module.
- This module handles the Content-MD5 response header.
- ContentMD5Module() - Constructor for class HTTPClient.ContentMD5Module
- Context - Variable in class HTTPClient.HTTPConnection
- The current context
- Cookie - class HTTPClient.Cookie.
- This class represents an http cookie as specified in Netscape's cookie spec
- Cookie(String, String, String, String, Date, boolean) - Constructor for class HTTPClient.Cookie
- Create a cookie.
- Cookie(RoRequest) - Constructor for class HTTPClient.Cookie
- Use
parse()to create cookies. - Cookie2 - class HTTPClient.Cookie2.
- This class represents an http cookie as specified in the HTTP State Management Mechanism spec (also known as a version 1 cookie).
- Cookie2(String, String, String, int[], String, Date, boolean, boolean, String, URI) - Constructor for class HTTPClient.Cookie2
- Create a cookie.
- Cookie2(RoRequest) - Constructor for class HTTPClient.Cookie2
- Use
parse()to create cookies. - CookieModule - class HTTPClient.CookieModule.
- This module handles Netscape cookies (also called Version 0 cookies) and Version 1 cookies.
- CookieModule() - Constructor for class HTTPClient.CookieModule
- CookiePolicyHandler - interface HTTPClient.CookiePolicyHandler.
- This is the interface that a cookie policy handler must implement.
- c_url_note - Variable in class HTTPClient.BasicCookieBox
- calcHashCode(String) - Static method in class HTTPClient.CIString
- We smash case before calculation so that the hash code is "case insensitive".
- calcResponseAttr(String, String[], NVPair[], int, int, int, int, int, int, String) - Static method in class HTTPClient.DefaultAuthHandler
- Calc "response" attribute for a request.
- calc_digest(RoRequest, String, String) - Static method in class HTTPClient.DefaultAuthHandler
- Calculates the digest of the request body.
- cd_type - Variable in class HTTPClient.Response
- this indicates how the length of the entity body is determined
- ch - Variable in class HTTPClient.RespInputStream
- checkCert(X509Certificate, String) - Static method in class HTTPClient.HTTPConnection
- Check whether the name in the certificate matches the host we're talking to.
- chunk_len - Variable in class HTTPClient.ChunkedInputStream
- chunk_len - Variable in class HTTPClient.StreamDemultiplexor
- number of unread bytes in current chunk (if transf-enc == chunked)
- chunkedDecode(InputStream) - Static method in class HTTPClient.Codecs
- Decodes chunked data.
- chunkedEncode(byte[], NVPair[], boolean) - Static method in class HTTPClient.Codecs
- Encodes data used the chunked encoding.
- chunkedEncode(byte[], int, int, NVPair[], boolean) - Static method in class HTTPClient.Codecs
- Encodes data used the chunked encoding.
- clone() - Method in class HTTPClient.AuthorizationInfo
- close - Variable in class HTTPClient.HTTPConnection.EstablishConnection
- close() - Method in class HTTPClient.HttpOutputStream
- Closes the stream and causes the data to be sent if it has not already been done so.
- close() - Method in class HTTPClient.MD5InputStream
- Close the stream and check the digest.
- close() - Method in class HTTPClient.RespInputStream
- closes the stream.
- close(IOException, boolean) - Method in class HTTPClient.StreamDemultiplexor
- Closes the socket and all associated streams.
- close(ResponseHandler) - Method in class HTTPClient.StreamDemultiplexor
- Closes the associated stream.
- closeDemux(IOException, boolean) - Method in class HTTPClient.HTTPConnection
- closeSocketIfAllStreamsClosed() - Method in class HTTPClient.StreamDemultiplexor
- Close the socket if all the streams have been closed.
- closed - Variable in class HTTPClient.MD5InputStream
- closed - Variable in class HTTPClient.RespInputStream
- signals that the user has closed the stream and will therefore not read any further data
- cnonce - Variable in class HTTPClient.VerifyRspAuth
- comment - Variable in class HTTPClient.Cookie2
- comment_label - Variable in class HTTPClient.BasicCookieBox
- comment_url - Variable in class HTTPClient.Cookie2
- comment_value - Variable in class HTTPClient.BasicCookieBox
- compile_search(byte[]) - Static method in class HTTPClient.Util
- Creates an array of distances to speed up the search in findStr().
- con - Variable in class HTTPClient.HttpURLConnection
- the current connection
- con_to - Variable in class HTTPClient.HttpOutputStream
- the timeout to pass to SendRequest()
- conn_reset - Variable in class HTTPClient.RetryException
- was this exception generated because of an abnormal connection reset?
- connect() - Method in class HTTPClient.HttpURLConnection
- Connects to the server (if connection not still kept alive) and issues the request.
- connect(String, int) - Static method in class HTTPClient.SocksClient
- Connect to the host/port, trying all addresses assciated with that host.
- connection - Variable in class HTTPClient.Request
- the current HTTPConnection
- connection - Variable in class HTTPClient.Response
- our http connection
- connections - Static variable in class HTTPClient.HttpURLConnection
- a list of HTTPConnections
- constr - Variable in class HTTPClient.BasicCookieBox
- containsKey(String) - Method in class HTTPClient.CIHashtable
- Looks whether any object is associated with the specified key.
- cookie - Variable in class HTTPClient.AuthorizationInfo
- the string used for the "Basic", "NTLM", and other authorization schemes which don't use parameters
- cookieSaver - Static variable in class HTTPClient.CookieModule
- an object, whose finalizer will save the cookies to the jar
- cookie_cntxt_list - Static variable in class HTTPClient.CookieModule
- the list of known cookies
- cookie_handler - Static variable in class HTTPClient.CookieModule
- the cookie policy handler
- cookie_jar - Static variable in class HTTPClient.CookieModule
- the file to use for persistent cookie storage
- count - Variable in class HTTPClient.ExtBufferedInputStream
- The index one greater than the index of the last valid byte in the buffer.
- count - Variable in class HTTPClient.MD5.MD5State
- 64-bit character count (could be true Java long?)
- count - Variable in class HTTPClient.RespInputStream
- the total number of bytes of entity data read from the demux so far
- cur_timeout - Variable in class HTTPClient.StreamDemultiplexor
- the currently set timeout for the socket
- current - Variable in class HTTPClient.SocketTimeout
D
- DELETE - Static variable in class HTTPClient.IdempotentSequence
- method number definitions
- DI_A1 - Static variable in class HTTPClient.DefaultAuthHandler
- DI_A1S - Static variable in class HTTPClient.DefaultAuthHandler
- DI_QOP - Static variable in class HTTPClient.DefaultAuthHandler
- DMNAME - Static variable in class HTTPClient.SocksClient
- socks version 5 address types
- Data - Variable in class HTTPClient.HTTPResponse
- the data (body) returned.
- Data - Variable in class HTTPClient.Response
- the data (body) returned.
- DebugAll - Static variable in interface HTTPClient.GlobalConstants
- Debug variables
- DebugAuth - Static variable in interface HTTPClient.GlobalConstants
- DebugConn - Static variable in interface HTTPClient.GlobalConstants
- DebugDemux - Static variable in interface HTTPClient.GlobalConstants
- DebugMods - Static variable in interface HTTPClient.GlobalConstants
- DebugResp - Static variable in interface HTTPClient.GlobalConstants
- DebugSocks - Static variable in interface HTTPClient.GlobalConstants
- DebugURLC - Static variable in interface HTTPClient.GlobalConstants
- Decode(byte[], int, int) - Static method in class HTTPClient.MD5
- DefaultAllowUI - Static variable in class HTTPClient.HTTPConnection
- controls whether modules are allowed to interact with user
- DefaultAuthHandler - class HTTPClient.DefaultAuthHandler.
- A simple authorization handler that throws up a message box requesting both a username and password.
- DefaultAuthHandler() - Constructor for class HTTPClient.DefaultAuthHandler
- DefaultCookiePolicyHandler - class HTTPClient.DefaultCookiePolicyHandler.
- A simple cookie policy handler.
- DefaultCookiePolicyHandler() - Constructor for class HTTPClient.DefaultCookiePolicyHandler
- DefaultHeaders - Variable in class HTTPClient.HTTPConnection
- The list of default http headers
- DefaultModule - class HTTPClient.DefaultModule.
- This is the default module which gets called after all other modules have done their stuff.
- DefaultModule() - Constructor for class HTTPClient.DefaultModule
- Three retries upon receipt of a 408.
- DefaultModuleList - Static variable in class HTTPClient.HTTPConnection
- The default list of modules (as a Vector of Class objects)
- DefaultTimeout - Static variable in class HTTPClient.HTTPConnection
- the default timeout to use for new connections
- Default_Proxy_Host - Static variable in class HTTPClient.HTTPConnection
- The default proxy host to use (if any)
- Default_Proxy_Port - Static variable in class HTTPClient.HTTPConnection
- The default proxy port
- Default_Socks_client - Static variable in class HTTPClient.HTTPConnection
- The default socks server to use
- Delete(String) - Method in class HTTPClient.HTTPConnection
- Requests that file be DELETEd from the server.
- Delete(String, NVPair[]) - Method in class HTTPClient.HTTPConnection
- Requests that file be DELETEd from the server.
- DemuxList - Variable in class HTTPClient.HTTPConnection
- a list of active stream demultiplexors
- DoesKeepAlive - Variable in class HTTPClient.HTTPConnection
- does the server support keep-alive's?
- data - Variable in class HTTPClient.Request
- the entity (if any)
- data - Variable in class HTTPClient.UncompressInputStream
- debug - Static variable in class HTTPClient.UncompressInputStream
- defaultPort(String) - Static method in class HTTPClient.URI
- Return the default port used by a given protocol.
- defaultPort(String) - Static method in class HTTPClient.Util
- Deprecated. use URI.defaultPort() instead
- default_focus - Variable in class HTTPClient.BasicCookieBox
- default_headers - Static variable in class HTTPClient.HttpURLConnection
- the default request headers
- delay_entity - Variable in class HTTPClient.Request
- number of millisecs to wait for an error from the server before sending the entity (used when retrying requests)
- deleteHeader(String) - Method in class HTTPClient.Response
- Removes a header field from the list of headers.
- deleteTrailer(String) - Method in class HTTPClient.Response
- Removes a trailer field from the list of trailers.
- demux - Variable in class HTTPClient.RespInputStream
- the stream demultiplexor
- demux - Variable in class HTTPClient.SocketTimeout.TimeoutEntry
- dequoteString(String) - Static method in class HTTPClient.Util
- Replace quoted characters by their unquoted version.
- determineKeepAlive(Response) - Method in class HTTPClient.HTTPConnection
- dflt_context - Static variable in class HTTPClient.HTTPConnection
- The default context
- digest_check_stale(AuthorizationInfo, RoRequest, RoResponse) - Static method in class HTTPClient.DefaultAuthHandler
- digest_fixup(AuthorizationInfo, RoRequest, AuthorizationInfo, RoResponse) - Static method in class HTTPClient.DefaultAuthHandler
- The fixup handler
- digest_gen_auth_info(String, int, String, String, String, Object) - Static method in class HTTPClient.DefaultAuthHandler
- digest_secret - Static variable in class HTTPClient.DefaultAuthHandler
- discard() - Method in class HTTPClient.Cookie
- discard - Variable in class HTTPClient.Cookie2
- discard() - Method in class HTTPClient.Cookie2
- discardAllCookies() - Static method in class HTTPClient.CookieModule
- Discard all cookies for all contexts.
- discardAllCookies(Object) - Static method in class HTTPClient.CookieModule
- Discard all cookies for the given context.
- discard_note - Variable in class HTTPClient.BasicCookieBox
- disconnect() - Method in class HTTPClient.HttpURLConnection
- Closes all the connections to this server.
- doProxyFor(String) - Static method in class HTTPClient.HTTPConnection
- Remove host from the list of hosts for which the proxy should not be used.
- do_analysis() - Method in class HTTPClient.IdempotentSequence
- do_redir - Variable in class HTTPClient.HttpURLConnection
- is the redirection module activated for this instance?
- domain - Variable in class HTTPClient.BasicCookieBox
- domain - Variable in class HTTPClient.Cookie
- domain_set - Variable in class HTTPClient.Cookie2
- domain_value - Variable in class HTTPClient.BasicCookieBox
- done - Variable in class HTTPClient.BasicAuthBox
- dontProxyFor(String) - Static method in class HTTPClient.HTTPConnection
- Add host to the list of hosts which should be accessed
directly, not via any proxy set by
setProxyServer(). - dontProxyFor(String[]) - Static method in class HTTPClient.HTTPConnection
- Convenience method to add a number of hosts at once.
- dontTruncate() - Method in class HTTPClient.RespInputStream
- Sometime the full response body must be read, i.e.
- dont_pipeline - Variable in class HTTPClient.Request
- disable pipelining of following request
- dont_truncate - Variable in class HTTPClient.RespInputStream
- signals that the connection may not be closed prematurely
- dummy - Static variable in class HTTPClient.Codecs
E
- EBCDICUnsafeChar - Static variable in class HTTPClient.Codecs
- EXTRA - Static variable in class HTTPClient.UncompressInputStream
- EffectiveURI - Variable in class HTTPClient.HTTPResponse
- the final URI of the document.
- EffectiveURI - Variable in class HTTPClient.Response
- the final URI of the document.
- Encode(int[], int) - Method in class HTTPClient.MD5
- ExtBufferedInputStream - class HTTPClient.ExtBufferedInputStream.
- This class is a modified copy of java.io.BufferedInputStream which fixes the problem in fill when an InterrupedIOException occurs and which extends the class to allow searching for a string in the internal buffer (used for multipart content-types).
- ExtBufferedInputStream(InputStream) - Constructor for class HTTPClient.ExtBufferedInputStream
- Creates a new buffered input stream to read data from the specified input stream with a default 512-byte buffer size.
- ExtBufferedInputStream(InputStream, int) - Constructor for class HTTPClient.ExtBufferedInputStream
- Creates a new buffered input stream to read data from the specified input stream with the specified buffer size.
- ExtensionMethod(String, String, byte[], NVPair[]) - Method in class HTTPClient.HTTPConnection
- This is here to allow an arbitrary, non-standard request to be sent.
- ExtensionMethod(String, String, HttpOutputStream, NVPair[]) - Method in class HTTPClient.HTTPConnection
- This is here to allow an arbitrary, non-standard request to be sent.
- early_stall - Variable in class HTTPClient.HTTPConnection
- These mark the response to stall the next request on, if any
- element - Variable in class HTTPClient.LinkElement
- empty - Static variable in class HTTPClient.HttpOutputStream
- null trailers
- empty - Static variable in class HTTPClient.Request
- null headers
- enableSSLTunneling(Socket[], Request, int) - Method in class HTTPClient.HTTPConnection
- Enable SSL Tunneling if we're talking to a proxy.
- end - Variable in class HTTPClient.RespInputStream
- the end of the data in the buffer
- end - Variable in class HTTPClient.UncompressInputStream
- end_cmp - Variable in class HTTPClient.ResponseHandler
- holds the compilation of the above string
- endbndry - Variable in class HTTPClient.ResponseHandler
- holds the string that marks the end of this stream; used for multipart delimited responses.
- enumerate() - Method in class HTTPClient.LinkedList
- Starts an enumeration of all the elements in this list.
- eof - Variable in class HTTPClient.ChunkedInputStream
- eof - Variable in class HTTPClient.ResponseHandler
- signals that the demux has closed the response stream, and that therefore no more data can be read
- eof - Variable in class HTTPClient.UncompressInputStream
- equals(Object) - Method in class HTTPClient.AuthorizationInfo
- Two AuthorizationInfos are considered equal if their host, port, scheme and realm match.
- equals(Object) - Method in class HTTPClient.CIString
- Uses the case insensitive comparison.
- equals(Object) - Method in class HTTPClient.Cookie
- Two cookies match if the name, path and domain match.
- equals(Object) - Method in class HTTPClient.HttpHeaderElement
- Two elements are equal if they have the same name.
- equals(Object) - Method in class HTTPClient.URI
- escape(char[], BitSet) - Static method in class HTTPClient.URI
- Escape any character not in the given character class.
- escapeUnsafeChars(String) - Static method in class HTTPClient.Util
- Escape unsafe characters in a path.
- exception - Variable in class HTTPClient.HTTPConnection.EstablishConnection
- exception - Variable in class HTTPClient.Response
- remembers any exception received while reading/parsing headers
- exception - Variable in class HTTPClient.ResponseHandler
- this is non-null if the stream has an exception pending
- exception - Variable in class HTTPClient.RetryException
- the original exception which caused the connection to be closed.
- expires - Variable in class HTTPClient.Cookie
- expires() - Method in class HTTPClient.Cookie
- expires_value - Variable in class HTTPClient.BasicCookieBox
- extra_info - Variable in class HTTPClient.AuthorizationInfo
- additional info which won't be displayed in the toString()
F
- FF(int, int, int, int, int, int, int) - Static method in class HTTPClient.MD5
- FileName - Static variable in class HTTPClient.Codecs
- FilenameMangler - interface HTTPClient.FilenameMangler.
- HTTPClient.Codecs.mpFormDataDecode() and HTTPClient.Codecs.mpFormDataEncode() may be handed class which implements this interface in order to control names of the decoded files or the names sent in the encoded data.
- Final() - Method in class HTTPClient.MD5
- Returns array of bytes (16 bytes) representing hash as of the current state of this object.
- fill() - Method in class HTTPClient.ExtBufferedInputStream
- Fills the buffer with more data, taking into account shuffling and other tricks for dealing with marks.
- fill() - Method in class HTTPClient.UncompressInputStream
- fill_hdr_arrays() - Method in class HTTPClient.HttpURLConnection
- Cache the list of headers.
- final_resp - Variable in class HTTPClient.Response
- should this response be handled further?
- finalize() - Method in class HTTPClient.RespInputStream
- A safety net to clean up.
- finalize() - Method in class HTTPClient.StreamDemultiplexor
- A safety net to close the connection.
- finals - Variable in class HTTPClient.MD5
- If Final() has been called, finals is set to the current finals state.
- finchar - Variable in class HTTPClient.UncompressInputStream
- findBest(RoRequest) - Static method in class HTTPClient.AuthorizationInfo
- Tries to find the candidate in the current list of auth info for the given request.
- findEOL(byte[], int) - Static method in class HTTPClient.Codecs
- Searches for the next CRLF in an array.
- findSpace(char[], int) - Static method in class HTTPClient.Util
- returns the position of the first space character in a char array starting a position pos.
- findStr(byte[], int[], byte[], int, int) - Static method in class HTTPClient.Util
- Search for a string.
- first - Variable in class HTTPClient.RetryException
- the start of the liked list
- fixupAuthInfo(AuthorizationInfo, RoRequest, AuthorizationInfo, RoResponse) - Method in interface HTTPClient.AuthorizationHandler
- This method is called whenever auth info is chosen from the list of known info in the AuthorizationInfo class to be sent with a request.
- fixupAuthInfo(AuthorizationInfo, RoRequest, AuthorizationInfo, RoResponse) - Method in class HTTPClient.DefaultAuthHandler
- For Digest authentication we need to set the uri, response and opaque parameters.
- force_1_0 - Static variable in class HTTPClient.HTTPConnection
- hack to force HTTP/1.0 requests
- forget() - Method in class HTTPClient.HTTPConnection.EstablishConnection
- fragment - Variable in class HTTPClient.URI
- free_ent - Variable in class HTTPClient.UncompressInputStream
G
- GET - Static variable in class HTTPClient.IdempotentSequence
- method number definitions
- GG(int, int, int, int, int, int, int) - Static method in class HTTPClient.MD5
- GSSAPI - Static variable in class HTTPClient.SocksClient
- socks version 5 authentication methods
- Get(String) - Method in class HTTPClient.HTTPConnection
- GETs the file.
- Get(String, NVPair[]) - Method in class HTTPClient.HTTPConnection
- GETs the file with a query consisting of the specified form-data.
- Get(String, NVPair[], NVPair[]) - Method in class HTTPClient.HTTPConnection
- GETs the file with a query consisting of the specified form-data.
- Get(String, String) - Method in class HTTPClient.HTTPConnection
- GETs the file using the specified query string.
- Get(String, String, NVPair[]) - Method in class HTTPClient.HTTPConnection
- GETs the file using the specified query string.
- GlobalConstants - interface HTTPClient.GlobalConstants.
- This interface defines various global constants.
- gen_mod_insts() - Method in class HTTPClient.HTTPConnection
- Generate an array of instances of the current modules.
- gen_random_bytes(int) - Static method in class HTTPClient.DefaultAuthHandler
- Generate num bytes of random data.
- get(String) - Method in class HTTPClient.CIHashtable
- Retrieves the object associated with the specified key.
- getAllowUserInteraction() - Method in class HTTPClient.HTTPConnection
- returns whether modules are allowed to prompt or popup dialogs if neccessary.
- getAuthHandler() - Static method in class HTTPClient.AuthorizationInfo
- Get's the current authorization handler.
- getAuthorization(AuthorizationInfo, RoRequest, RoResponse) - Method in interface HTTPClient.AuthorizationHandler
- This method is called whenever a 401 or 407 response is received and no candidate info is found in the list of known auth info.
- getAuthorization(String, int, String, String) - Static method in class HTTPClient.AuthorizationInfo
- Searches for the authorization info using the given host, port, scheme and realm.
- getAuthorization(String, int, String, String, Object) - Static method in class HTTPClient.AuthorizationInfo
- Searches for the authorization info in the given context using the given host, port, scheme and realm.
- getAuthorization(AuthorizationInfo, RoRequest, RoResponse, boolean) - Static method in class HTTPClient.AuthorizationInfo
- Searches for the authorization info using the host, port, scheme and realm from the given info struct.
- getAuthorization(String, int, String, String, boolean) - Static method in class HTTPClient.AuthorizationInfo
- Searches for the authorization info given a host, port, scheme and realm.
- getAuthorization(AuthorizationInfo, RoRequest, RoResponse) - Method in class HTTPClient.DefaultAuthHandler
- returns the requested authorization, or null if none was given.
- getChunkLength(InputStream) - Static method in class HTTPClient.Codecs
- Gets the length of the chunk.
- getComment() - Method in class HTTPClient.Cookie2
- getCommentURL() - Method in class HTTPClient.Cookie2
- getConnection(URL) - Method in class HTTPClient.HttpURLConnection
- Returns an HTTPConnection.
- getConnection() - Method in class HTTPClient.Request
- getConnection() - Method in interface HTTPClient.RoRequest
- getContext() - Method in class HTTPClient.HTTPConnection
- Returns the current context.
- getContinue() - Method in class HTTPClient.Response
- Wait for either a '100 Continue' or an error.
- getCookie() - Method in class HTTPClient.AuthorizationInfo
- Get the cookie
- getCookieJarName() - Static method in class HTTPClient.CookieModule
- getData() - Method in class HTTPClient.HTTPResponse
- Reads all the response data into a byte array.
- getData() - Method in class HTTPClient.Request
- getData() - Method in class HTTPClient.Response
- Reads all the response data into a byte array.
- getData() - Method in interface HTTPClient.RoRequest
- getData() - Method in interface HTTPClient.RoResponse
- Reads all the response data into a byte array.
- getDefaultAllowUserInteraction() - Static method in class HTTPClient.HTTPConnection
- Gets the default allow-user-action.
- getDefaultContext() - Static method in class HTTPClient.HTTPConnection
- Returns the default context.
- getDefaultHeaders() - Method in class HTTPClient.HTTPConnection
- Gets the current list of default http headers.
- getDefaultModules() - Static method in class HTTPClient.HTTPConnection
- Returns the default list of modules.
- getDefaultRequestProperty(String) - Static method in class HTTPClient.HttpURLConnection
- Gets the value for a given default request header.
- getDefaultTimeout() - Static method in class HTTPClient.HTTPConnection
- Gets the default timeout value to be used for each new HTTPConnection.
- getDomain() - Method in class HTTPClient.Cookie
- Return the domain this cookie is valid in.
- getEffectiveURI() - Method in class HTTPClient.HTTPResponse
- Get the final URI of the document.
- getEffectiveURI() - Method in class HTTPClient.Response
- get the final URI of the document.
- getEffectiveURL() - Method in class HTTPClient.HTTPResponse
- Deprecated. use getEffectiveURI() instead
- getEffectiveURL() - Method in class HTTPClient.Response
- Deprecated. use getEffectiveURI() instead
- getElement(Vector, String) - Static method in class HTTPClient.Util
- Get the HttpHeaderElement with the name name.
- getEndBoundary(ExtBufferedInputStream) - Method in class HTTPClient.ResponseHandler
- return the boundary string for this response.
- getEndCompiled(ExtBufferedInputStream) - Method in class HTTPClient.ResponseHandler
- return the compilation of the boundary string for this response.
- getErrorStream() - Method in class HTTPClient.HttpURLConnection
- Returns the error stream if the connection failed but the server sent useful data nonetheless.
- getException() - Method in class HTTPClient.HTTPConnection.EstablishConnection
- getExtraInfo() - Method in class HTTPClient.AuthorizationInfo
- Get the extra info.
- getFirst() - Method in class HTTPClient.LinkedList
- Return the first element in the list.
- getFragment() - Method in class HTTPClient.URI
- getFragment(String) - Static method in class HTTPClient.Util
- Extract the fragment part from an http resource.
- getHeader(String) - Method in class HTTPClient.HTTPResponse
- Retrieves the value for a given header.
- getHeader(String) - Method in class HTTPClient.Response
- retrieves the field for a given header.
- getHeader(String) - Method in interface HTTPClient.RoResponse
- retrieves the field for a given header.
- getHeaderAsDate(String) - Method in class HTTPClient.HTTPResponse
- Retrieves the value for a given header.
- getHeaderAsDate(String) - Method in class HTTPClient.Response
- retrieves the field for a given header.
- getHeaderAsDate(String) - Method in interface HTTPClient.RoResponse
- retrieves the field for a given header.
- getHeaderAsInt(String) - Method in class HTTPClient.HTTPResponse
- Retrieves the value for a given header.
- getHeaderAsInt(String) - Method in class HTTPClient.Response
- retrieves the field for a given header.
- getHeaderAsInt(String) - Method in interface HTTPClient.RoResponse
- retrieves the field for a given header.
- getHeaderField(String) - Method in class HTTPClient.HttpURLConnection
- Get the value part of a header.
- getHeaderField(int) - Method in class HTTPClient.HttpURLConnection
- Gets header value of the n-th header.
- getHeaderFieldDate(String, long) - Method in class HTTPClient.HttpURLConnection
- Get the value part of a header, interprets it as a date and converts it to a long representing the number of milliseconds since 1970.
- getHeaderFieldInt(String, int) - Method in class HTTPClient.HttpURLConnection
- Get the value part of a header and converts it to an int.
- getHeaderFieldKey(int) - Method in class HTTPClient.HttpURLConnection
- Gets header name of the n-th header.
- getHeaders() - Method in class HTTPClient.Request
- getHeaders(boolean) - Method in class HTTPClient.Response
- Gets and parses the headers.
- getHeaders() - Method in interface HTTPClient.RoRequest
- getHost() - Method in class HTTPClient.AuthorizationInfo
- Get the host.
- getHost() - Method in class HTTPClient.HTTPConnection
- Returns the host this connection is talking to.
- getHost() - Method in class HTTPClient.URI
- getIndex(NVPair[], String) - Static method in class HTTPClient.DefaultAuthHandler
- Return the index of the first NVPair whose name matches the key using a case-insensitive search.
- getInput(String, String, String) - Method in class HTTPClient.BasicAuthBox
- the method called by MyAuthHandler.
- getInputStream() - Method in class HTTPClient.HTTPResponse
- Gets an input stream from which the returned data can be read.
- getInputStream() - Method in class HTTPClient.HttpURLConnection
- Gets an input stream from which the data in the response may be read.
- getInputStream() - Method in class HTTPClient.Response
- Gets an input stream from which the returned data can be read.
- getInputStream() - Method in interface HTTPClient.RoResponse
- Gets an input stream from which the returned data can be read.
- getInstanceFollowRedirects() - Method in class HTTPClient.HttpURLConnection
- getLength() - Method in class HTTPClient.HttpOutputStream
- Returns the number of bytes this stream is willing to accept, or -1 if it is unbounded.
- getList(Hashtable, Object) - Static method in class HTTPClient.Util
- Helper method for context lists used by modules.
- getMethod() - Method in class HTTPClient.Request
- getMethod() - Method in interface HTTPClient.RoRequest
- getModules() - Method in class HTTPClient.HTTPConnection
- Returns the list of modules used currently.
- getModules() - Method in class HTTPClient.HTTPResponse
- getName() - Method in class HTTPClient.Cookie
- Return the name of this cookie.
- getName() - Method in class HTTPClient.HttpHeaderElement
- getName() - Method in class HTTPClient.NVPair
- get the name
- getOpaque() - Method in class HTTPClient.URI
- getOriginalURI() - Method in class HTTPClient.HTTPResponse
- Get the original URI used in the request.
- getOutputStream() - Method in class HTTPClient.HttpURLConnection
- Gets an output stream which can be used send an entity with the request.
- getParameter(String, String) - Static method in class HTTPClient.Util
- retrieves the value associated with the parameter param in a given header string.
- getParams() - Method in class HTTPClient.AuthorizationInfo
- Get the authentication parameters.
- getParams() - Method in class HTTPClient.HttpHeaderElement
- getParams(String) - Static method in class HTTPClient.Util
- Extract the params part from an http resource.
- getPath() - Method in class HTTPClient.Cookie
- Return the path this cookie is associated with.
- getPath() - Method in class HTTPClient.URI
- getPath(String) - Static method in class HTTPClient.Util
- Extract the path from an http resource.
- getPort() - Method in class HTTPClient.AuthorizationInfo
- Get the port.
- getPort() - Method in class HTTPClient.HTTPConnection
- Returns the port this connection connects to.
- getPort() - Method in class HTTPClient.URI
- getPorts() - Method in class HTTPClient.Cookie2
- getProtocol() - Method in class HTTPClient.HTTPConnection
- Returns the protocol this connection is talking.
- getProxyHost() - Method in class HTTPClient.HTTPConnection
- Returns the host of the proxy this connection is using.
- getProxyPort() - Method in class HTTPClient.HTTPConnection
- Returns the port of the proxy this connection is using.
- getQuery(String) - Static method in class HTTPClient.Util
- Extract the query string from an http resource.
- getQueryString() - Method in class HTTPClient.URI
- getRealm() - Method in class HTTPClient.AuthorizationInfo
- Get the realm.
- getReasonLine() - Method in class HTTPClient.HTTPResponse
- Give the reason line associated with the status code.
- getReasonLine() - Method in class HTTPClient.Response
- give the reason line associated with the status code.
- getReasonLine() - Method in interface HTTPClient.RoResponse
- getRequestMethod() - Method in class HTTPClient.HttpURLConnection
- Return the request method used.
- getRequestProperty(String) - Method in class HTTPClient.HttpURLConnection
- Gets the value of a given request header.
- getRequestURI() - Method in class HTTPClient.Request
- getRequestURI() - Method in interface HTTPClient.RoRequest
- getResponse() - Method in class HTTPClient.HttpOutputStream
- Return the response we got from sendRequest().
- getResponseCode() - Method in class HTTPClient.HttpURLConnection
- Get the response code.
- getResponseMessage() - Method in class HTTPClient.HttpURLConnection
- Get the response message describing the response code.
- getScheme() - Method in class HTTPClient.AuthorizationInfo
- Get the scheme.
- getScheme() - Method in class HTTPClient.URI
- getServer() - Method in class HTTPClient.HTTPResponse
- Deprecated. This method is a remnant of V0.1; use
getHeader("Server")instead. - getSocket() - Method in class HTTPClient.HTTPConnection.EstablishConnection
- getSocket(int) - Method in class HTTPClient.HTTPConnection
- Gets a socket.
- getSocket(String, int) - Method in class HTTPClient.SocksClient
- Initiates a connection to the socks server, does the startup protocol and returns a socket ready for talking.
- getSocket() - Method in class HTTPClient.StreamDemultiplexor
- returns the socket associated with this demux